TaxonomyItemConverter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.service

## Class TaxonomyItemConverter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.service.TaxonomyItemConverter

- All Implemented Interfaces:
    Converter<org.gcube.data.spd.model.products.TaxonomyItem,TaxonomyRow>

      public class TaxonomyItemConverter
      extends Object
      implements Converter<org.gcube.data.spd.model.products.TaxonomyItem,TaxonomyRow>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `id`
    `protected org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyItemConverter(org.gcube.application.framework.core.session.ASLSession session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaxonomyRow` | `convert(org.gcube.data.spd.model.products.TaxonomyItem input)`
    `protected List<TaxonomyRow>` | `convertParentsTaxonomy(org.gcube.data.spd.model.products.TaxonomyItem taxon)`
    `protected TaxonomyRow` | `createTaxonomyRow(org.gcube.data.spd.model.products.TaxonomyItem input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.log4j.Logger logger

    - #### id

          protected int id

  - ### Constructor Detail

    - #### TaxonomyItemConverter

          public TaxonomyItemConverter(org.gcube.application.framework.core.session.ASLSession session)

      Parameters:
        `dataProviderId` -

  - ### Method Detail

    - #### convert

          public TaxonomyRow convert(org.gcube.data.spd.model.products.TaxonomyItem input)
                              throws Exception

      Specified by:
        `convert` in interface `Converter<org.gcube.data.spd.model.products.TaxonomyItem,TaxonomyRow>`
      Throws:
        `Exception`

    - #### createTaxonomyRow

          protected TaxonomyRow createTaxonomyRow(org.gcube.data.spd.model.products.TaxonomyItem input)
                                           throws Exception

      Throws:
        `Exception`

    - #### convertParentsTaxonomy

          protected List<TaxonomyRow> convertParentsTaxonomy(org.gcube.data.spd.model.products.TaxonomyItem taxon)
                                                      throws Exception

      Throws:
        `Exception`

Copyright © 2013. All Rights Reserved.